
# Given a calendar date, convert each face minute from 00:00 through 23:59 into
# a local time using both the JavaScript and the adjusting implementations.
# Report where they differ.
trialFor = (year, month, day, atSecond = 0, atMillisecond = 0) ->
	d = new Date 0
	time = Date.UTC year, month-1, day, 0, 0, atSecond, atMillisecond
	differences = 0
	
	for minutes in [0 .. 1440]
		d.setTime time + (minutes * 60000)
		a = dateUtcToLocalAdjusted d
		r = dateUtcToLocalRaw d
		same = a.getTime() is r.getTime()
		kw = if same then "Same" else "Diff"
		console.log "#{kw}: #{d.toUTCString()} / Adj: #{a} / Raw: #{r}"
		++differences unless same
	
	console.log "Total differences: #{differences}"

s = 36
ms = 567

console.log "# Winter"
trialFor 2012, 1, 1, s, ms

console.log "# Spring"
trialFor 2012, 3, 11, s, ms

console.log "# Summer"
trialFor 2012, 7, 1, s, ms

console.log "# Autumn"
trialFor 2012, 11, 4, s, ms

